#
# UploadReferenceWidget
# Copyright(C), 2007, Enfold Systems, Inc. - ALL RIGHTS RESERVED
#
# This software is licensed under the Terms and Conditions
# contained within the "LICENSE.txt" file that accompanied
# this software.  Any inquiries concerning the scope or
# enforceability of the license should be addressed to:
#
# Enfold Systems, Inc.
# 4617 Montrose Blvd., Suite C215
# Houston, Texas 77006 USA
# p. +1 713.942.2377 | f. +1 832.201.8856
# www.enfoldsystems.com
# info@enfoldsystems.com
#

from Products.Archetypes.public import registerType
from Products.Archetypes.public import Schema
from Products.Archetypes.public import BaseSchema
from Products.Archetypes.public import BaseContent
from Products.Archetypes.public import ReferenceField
from Products.UploadReferenceWidget.widget import UploadReferenceWidget

schema = BaseSchema.copy() + Schema((

    ReferenceField(
        name='ref1',
        multiValued=True,
        allowed_types=('File', 'Image'),
        relationship='rel1',
        widget=UploadReferenceWidget(
            default_search_index='SearchableText',
            description='This is the first field. Pick an object.',
            startup_directory='/',
            allow_browse=True,
            allow_search=True,
            show_indexes=False,
            base_query={'review_state': 'published'},
            #base_query='dynamicBaseQuery',
        ),
    ),

))


class UploadReferenceWidgetDemo(BaseContent):
    """Demo content-type for testing UploadReferenceWidget."""

    content_icon = 'document_icon.gif'
    schema = schema

    def dynamicBaseQuery(self):
        """This example function generates a base query which ensures that only
        objects whose start property is within one week of the current day"""
        return {'start': {'query':[DateTime()-7,DateTime()+7], 'range':'minmax'}}


registerType(UploadReferenceWidgetDemo)
